net.sf.cpsolver.studentsct.filter

## Class CombinedStudentFilter

- java.lang.Object
- - net.sf.cpsolver.studentsct.filter.CombinedStudentFilter

- All Implemented Interfaces:
    StudentFilter

      public class CombinedStudentFilter
      extends Object
      implements StudentFilter

  This student filter combines two given student filters with logical operation AND or OR.
  Version:
    StudentSct 1.2 (Student Sectioning)
    Copyright (C) 2007 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OP_AND` AND
    `static int` | `OP_OR` OR

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombinedStudentFilter(StudentFilter first, StudentFilter second, int op)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Student student)` A student is accepted if it is accepted by the first and/or the second filter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OP_AND

          public static final int OP_AND

      AND
      See Also:
        Constant Field Values

    - #### OP_OR

          public static final int OP_OR

      OR
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CombinedStudentFilter

          public CombinedStudentFilter(StudentFilter first,
                                       StudentFilter second,
                                       int op)

      Constructor
      Parameters:
        `first` - first filter
        `second` - second filter
        `op` - logical operation (either `OP_AND` or `OP_OR` )

  - ### Method Detail

    - #### accept

          public boolean accept(Student student)

      A student is accepted if it is accepted by the first and/or the second filter
      Specified by:
        `accept` in interface `StudentFilter`